Subject: Re: [Jcardcal] I-D Action: draft-ietf-jcardcal-jcard-06.txt

From: Philipp Kewisch <[email-masked]>
Date: Tue, 15 Oct 2013 20:36:46 +0200

On 9/27/13 12:58 PM, Michael Angstadt wrote:
> I don't want to beat a dead horse, but I think the notes about 
> decimals and exponents in the "integer" and "float" sections could use 
> a little more explanation.  Users might not be aware of the fact that 
> JSON allows exponents to be used, since it's kind of an obscure 
> feature.  I think the text would benefit we reminded the user of this.
No problem at all, thanks for the input :)
>
>
> AFTER:
>
> JSON allows  decimals (e.g. "3.14") and exponents (e.g. "2e10") to be 
> used in numeric values. jCard does not prohibit this for "integer" 
> property values.  However, since vCard does not support decimals or 
> exponents in integers, any decimals and exponents
>  MUST be eliminated when converting an "integer" value type property
>  from jCard to vCard.

> AFTER:
>
> JSON allows exponents (e.g. "2e10") to be used in numeric values. 
>  jCard does not prohibit this for "float" property values.  However, 
> since vCard does not support exponents in floats, any exponents MUST 
> be eliminated when converting a "float" value type
>  property from jCard to vCard.
>
Done, but I've changed "3.14" to 3.14 and the same with 2e10, Otherwise 
it might look like a string value.

Philipp